<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.entbase.mapper.TREntBaseAddrMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.entbase.entity.TREntBaseAddr">
        <id column="ENTBASEADDRID" property="entbaseaddrid" />
        <result column="PRIPID" property="pripid" />
        <result column="BIZSEQ" property="bizseq" />
        <result column="ADDRESS" property="address" />
        <result column="ADDRPRORIGHT" property="addrproright" />
        <result column="ADDRLOCDISTRICT" property="addrlocdistrict" />
        <result column="ADDRLOCALADM" property="addrlocaladm" />
        <result column="ADDRTYPE" property="addrtype" />
        <result column="ADDRSITU" property="addrsitu" />
        <result column="TEMLEASESTART" property="temleasestart" />
        <result column="TERMLEASEEND" property="termleaseend" />
        <result column="AREA_CODE" property="areaCode" />
        <result column="ADDRWHERE" property="addrwhere" />
        <result column="ADDRAREA" property="addrarea" />
        <result column="LAUPTIME" property="lauptime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ENTBASEADDRID, PRIPID, BIZSEQ, ADDRESS, ADDRPRORIGHT, ADDRLOCDISTRICT, ADDRLOCALADM, ADDRTYPE, ADDRSITU, TEMLEASESTART, TERMLEASEEND, AREA_CODE, ADDRWHERE, ADDRAREA, LAUPTIME
    </sql>

</mapper>
